package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*包裹表
* @author quyixiao
* @since 2025-11-19
*/

@Data
@TableName("vv_package")
public class VvPackageEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvPackageEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                              // 修改时间
    public final static String package_image_url = CLASS_NAME + "package_image_url";                  // 包裹图片url
    public final static String package_logistics_info = CLASS_NAME + "package_logistics_info";        // 包裹物流信息
    public final static String track_number = CLASS_NAME + "track_number";                            // 订单追踪号
    public final static String logistics_company = CLASS_NAME + "logistics_company";                  // 物流公司
    public final static String shipping_from = CLASS_NAME + "shipping_from";                          // 发货地址
    public final static String shipping_to = CLASS_NAME + "shipping_to";                              // 收货地址
    public final static String shipping_amount = CLASS_NAME + "shipping_amount";                      // 运费
    public final static String ischeck_ = CLASS_NAME + "ischeck";                                     // 是否签收标记，0未签收，1已签收，2 已经发送妥投消息，3 已妥投，请忽略，明细状态请参考state字段
    public final static String com_ = CLASS_NAME + "com";                                             // 快递公司编码,一律用小写字母
    public final static String status_ = CLASS_NAME + "status";                                       // 通讯状态，请忽略
    public final static String state_ = CLASS_NAME + "state";                                         // 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值
    public final static String gmt_sign_receipt = CLASS_NAME + "gmt_sign_receipt";                    // 签收日期
    public final static String gmt_shipping = CLASS_NAME + "gmt_shipping";                            // 发货日期
    public final static String gmt_send_mq_delivered = CLASS_NAME + "gmt_send_mq_delivered";          // 发送消息mq,确认妥投
    public final static String gmt_delivered = CLASS_NAME + "gmt_delivered";                          // 已经妥投
    public final static String delivered_by = CLASS_NAME + "delivered_by";                            // system:系统，user:用户 ，admin 后台确认
    public final static String shipping_type = CLASS_NAME + "shipping_type";                          // order 正向 ， reverse 逆向
    public final static String kuaidi_query_expire_time = CLASS_NAME + "kuaidi_query_expire_time";    // 过期时间，注意：请控制每一单查询频率至少在半小时以上，否则会造成锁单。
    public final static String sign_receipt_status = CLASS_NAME + "sign_receipt_status";              // not_sign_receipt, sign_receipt
    public final static String seller_id = CLASS_NAME + "seller_id";                                  // 卖家id
    public final static String seller_warehouse_id = CLASS_NAME + "seller_warehouse_id";              // 卖家仓库地址id
    public final static String reverse_order_id = CLASS_NAME + "reverse_order_id";                    // 逆向订单id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //包裹图片url
    private String packageImageUrl;
    //包裹物流信息
    private String packageLogisticsInfo;
    //订单追踪号
    private String trackNumber;
    //物流公司
    private String logisticsCompany;
    //发货地址
    private String shippingFrom;
    //收货地址
    private String shippingTo;
    //运费
    private BigDecimal shippingAmount;
    //是否签收标记，0未签收，1已签收，2 已经发送妥投消息，3 已妥投，请忽略，明细状态请参考state字段
    private String ischeck;
    //快递公司编码,一律用小写字母
    private String com;
    //通讯状态，请忽略
    private String status;
    //快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值
    private String state;
    //签收日期
    private Date gmtSignReceipt;
    //发货日期
    private Date gmtShipping;
    //发送消息mq,确认妥投
    private Date gmtSendMqDelivered;
    //已经妥投
    private Date gmtDelivered;
    //system:系统，user:用户 ，admin 后台确认
    private String deliveredBy;
    //order 正向 ， reverse 逆向
    private String shippingType;
    //过期时间，注意：请控制每一单查询频率至少在半小时以上，否则会造成锁单。
    private Long kuaidiQueryExpireTime;
    //not_sign_receipt, sign_receipt
    private String signReceiptStatus;
    //卖家id
    private Long sellerId;
    //卖家仓库地址id
    private Long sellerWarehouseId;
    //逆向订单id
    private Long reverseOrderId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 包裹图片url 
     * @return
     */
    public String getPackageImageUrl() {
        return packageImageUrl;
    }
    /**
     * 包裹图片url 
     * @param packageImageUrl
     */
    public void setPackageImageUrl(String packageImageUrl) {
        this.packageImageUrl = packageImageUrl;
    }

    /**
     * 包裹物流信息 
     * @return
     */
    public String getPackageLogisticsInfo() {
        return packageLogisticsInfo;
    }
    /**
     * 包裹物流信息 
     * @param packageLogisticsInfo
     */
    public void setPackageLogisticsInfo(String packageLogisticsInfo) {
        this.packageLogisticsInfo = packageLogisticsInfo;
    }

    /**
     * 订单追踪号 
     * @return
     */
    public String getTrackNumber() {
        return trackNumber;
    }
    /**
     * 订单追踪号 
     * @param trackNumber
     */
    public void setTrackNumber(String trackNumber) {
        this.trackNumber = trackNumber;
    }

    /**
     * 物流公司 
     * @return
     */
    public String getLogisticsCompany() {
        return logisticsCompany;
    }
    /**
     * 物流公司 
     * @param logisticsCompany
     */
    public void setLogisticsCompany(String logisticsCompany) {
        this.logisticsCompany = logisticsCompany;
    }

    /**
     * 发货地址 
     * @return
     */
    public String getShippingFrom() {
        return shippingFrom;
    }
    /**
     * 发货地址 
     * @param shippingFrom
     */
    public void setShippingFrom(String shippingFrom) {
        this.shippingFrom = shippingFrom;
    }

    /**
     * 收货地址 
     * @return
     */
    public String getShippingTo() {
        return shippingTo;
    }
    /**
     * 收货地址 
     * @param shippingTo
     */
    public void setShippingTo(String shippingTo) {
        this.shippingTo = shippingTo;
    }

    /**
     * 运费 
     * @return
     */
    public BigDecimal getShippingAmount() {
        return shippingAmount;
    }
    /**
     * 运费 
     * @param shippingAmount
     */
    public void setShippingAmount(BigDecimal shippingAmount) {
        this.shippingAmount = shippingAmount;
    }

    /**
     * 是否签收标记，0未签收，1已签收，2 已经发送妥投消息，3 已妥投，请忽略，明细状态请参考state字段 
     * @return
     */
    public String getIscheck() {
        return ischeck;
    }
    /**
     * 是否签收标记，0未签收，1已签收，2 已经发送妥投消息，3 已妥投，请忽略，明细状态请参考state字段 
     * @param ischeck
     */
    public void setIscheck(String ischeck) {
        this.ischeck = ischeck;
    }

    /**
     * 快递公司编码,一律用小写字母 
     * @return
     */
    public String getCom() {
        return com;
    }
    /**
     * 快递公司编码,一律用小写字母 
     * @param com
     */
    public void setCom(String com) {
        this.com = com;
    }

    /**
     * 通讯状态，请忽略 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * 通讯状态，请忽略 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值 
     * @return
     */
    public String getState() {
        return state;
    }
    /**
     * 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值 
     * @param state
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * 签收日期 
     * @return
     */
    public Date getGmtSignReceipt() {
        return gmtSignReceipt;
    }
    /**
     * 签收日期 
     * @param gmtSignReceipt
     */
    public void setGmtSignReceipt(Date gmtSignReceipt) {
        this.gmtSignReceipt = gmtSignReceipt;
    }

    /**
     * 发货日期 
     * @return
     */
    public Date getGmtShipping() {
        return gmtShipping;
    }
    /**
     * 发货日期 
     * @param gmtShipping
     */
    public void setGmtShipping(Date gmtShipping) {
        this.gmtShipping = gmtShipping;
    }

    /**
     * 发送消息mq,确认妥投 
     * @return
     */
    public Date getGmtSendMqDelivered() {
        return gmtSendMqDelivered;
    }
    /**
     * 发送消息mq,确认妥投 
     * @param gmtSendMqDelivered
     */
    public void setGmtSendMqDelivered(Date gmtSendMqDelivered) {
        this.gmtSendMqDelivered = gmtSendMqDelivered;
    }

    /**
     * 已经妥投 
     * @return
     */
    public Date getGmtDelivered() {
        return gmtDelivered;
    }
    /**
     * 已经妥投 
     * @param gmtDelivered
     */
    public void setGmtDelivered(Date gmtDelivered) {
        this.gmtDelivered = gmtDelivered;
    }

    /**
     * system:系统，user:用户 ，admin 后台确认 
     * @return
     */
    public String getDeliveredBy() {
        return deliveredBy;
    }
    /**
     * system:系统，user:用户 ，admin 后台确认 
     * @param deliveredBy
     */
    public void setDeliveredBy(String deliveredBy) {
        this.deliveredBy = deliveredBy;
    }

    /**
     * order 正向 ， reverse 逆向 
     * @return
     */
    public String getShippingType() {
        return shippingType;
    }
    /**
     * order 正向 ， reverse 逆向 
     * @param shippingType
     */
    public void setShippingType(String shippingType) {
        this.shippingType = shippingType;
    }

    /**
     * 过期时间，注意：请控制每一单查询频率至少在半小时以上，否则会造成锁单。 
     * @return
     */
    public Long getKuaidiQueryExpireTime() {
        return kuaidiQueryExpireTime;
    }
    /**
     * 过期时间，注意：请控制每一单查询频率至少在半小时以上，否则会造成锁单。 
     * @param kuaidiQueryExpireTime
     */
    public void setKuaidiQueryExpireTime(Long kuaidiQueryExpireTime) {
        this.kuaidiQueryExpireTime = kuaidiQueryExpireTime;
    }

    /**
     * not_sign_receipt, sign_receipt 
     * @return
     */
    public String getSignReceiptStatus() {
        return signReceiptStatus;
    }
    /**
     * not_sign_receipt, sign_receipt 
     * @param signReceiptStatus
     */
    public void setSignReceiptStatus(String signReceiptStatus) {
        this.signReceiptStatus = signReceiptStatus;
    }

    /**
     * 卖家id 
     * @return
     */
    public Long getSellerId() {
        return sellerId;
    }
    /**
     * 卖家id 
     * @param sellerId
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    /**
     * 卖家仓库地址id 
     * @return
     */
    public Long getSellerWarehouseId() {
        return sellerWarehouseId;
    }
    /**
     * 卖家仓库地址id 
     * @param sellerWarehouseId
     */
    public void setSellerWarehouseId(Long sellerWarehouseId) {
        this.sellerWarehouseId = sellerWarehouseId;
    }

    /**
     * 逆向订单id 
     * @return
     */
    public Long getReverseOrderId() {
        return reverseOrderId;
    }
    /**
     * 逆向订单id 
     * @param reverseOrderId
     */
    public void setReverseOrderId(Long reverseOrderId) {
        this.reverseOrderId = reverseOrderId;
    }

    @Override
    public String toString() {
        return "VvPackageEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",packageImageUrl=" + packageImageUrl +
                ",packageLogisticsInfo=" + packageLogisticsInfo +
                ",trackNumber=" + trackNumber +
                ",logisticsCompany=" + logisticsCompany +
                ",shippingFrom=" + shippingFrom +
                ",shippingTo=" + shippingTo +
                ",shippingAmount=" + shippingAmount +
                ",ischeck=" + ischeck +
                ",com=" + com +
                ",status=" + status +
                ",state=" + state +
                ",gmtSignReceipt=" + gmtSignReceipt +
                ",gmtShipping=" + gmtShipping +
                ",gmtSendMqDelivered=" + gmtSendMqDelivered +
                ",gmtDelivered=" + gmtDelivered +
                ",deliveredBy=" + deliveredBy +
                ",shippingType=" + shippingType +
                ",kuaidiQueryExpireTime=" + kuaidiQueryExpireTime +
                ",signReceiptStatus=" + signReceiptStatus +
                ",sellerId=" + sellerId +
                ",sellerWarehouseId=" + sellerWarehouseId +
                ",reverseOrderId=" + reverseOrderId +
                "}";
    }
}